FORMAX DEVELOPER API
  1. PPI Fund Transfer API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. PPI Fund Transfer API

Generate Aadhaar OTP

POST
https://api.formaxpay.com/api/ppi_dmt/generate_aadhaar_otp
This API generates an OTP for Aadhaar-based KYC for a registered sender. The OTP is required to complete Aadhaar eKYC for the sender wallet account.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/ppi_dmt/generate_aadhaar_otp' \
--header 'Authorization: Basic M2U4czlqZ0F4VTNadmczeGZTa3NxbWVjTjVyTHdxYlg6NUFrcEB3Ti1UbH5tRUo5' \
--header 'x-wallet-token: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJJZGVudGlmaWNhdGlvbkNvZGUiOiJUc3BFNGs0bk1MMHVMaCtZWjZuamx3PT0iLCJCQ0FnZW50SWQiOiJmU2hvN0grMGcrYz0iLCJleHAiOjE3NjY0NzU2OTAsImlzcyI6IlBheVBvaW50IiwiYXVkIjoiUGFydG5lcnMifQ.27PmBgGpGu3Fo0urqA6iC_h_F5KYXkjS6mIAympeVrM' \
--header 'Content-Type: application/json' \
--data-raw '{
    "wallet_application_number": "1977715",
    "aadhaar_number": "535783260609",
    "consent_id": "1",
    "outlet_id": "FPAY01",
    "outlet_name": "JOHN DOE",
    "pincode": "700126"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "OTP Sent Successfully",
    "data": {
        "token": "06XQfE2b8YnxFqLGoHP+FGGOmzgvK8J0evtoE1bfEf3pd/5GvHkvd9L9kI4r7nAWHHwMzJU8u99ZXsi5GrF5tw=="
    }
}
Modified at 2025-12-24 14:01:41
Previous
Verify OTP
Next
Resend Aadhaar OTP
Built with